<?php

namespace Schaffen\Core\Form\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Form\Traits\HasForms;

class FormGrouping extends Model
{
    use HasForms;

    const STATUS_ACTIVE = 1;
    const STATUS_INACTIVE = 0;

    protected $connection = 'dynamicdb';
    protected $table = "cadastro.formulario_agrupamento";
    protected $primaryKey = "foag_codigo";
    protected $fillable = [
        "foag_descricao",
        "foag_status",
    ];

   public function association()
   {
      return $this->hasMany(FormAssociation::class, 'foa_formeavel_codigo')
         ->where('foa_formeavel_tipo', FormAssociation::FORM_GROUPING);
   }
}
