<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Form\Traits;


use Illuminate\Database\Eloquent\Relations\Relation;
use Schaffen\Core\Form\Models\Form;
use Schaffen\Core\Form\Models\FormAssociation;

trait HasForms
{
    protected $orderFoa = 'foa_codigo';

    public function forms()
    {
        return $this->hasManyThrough(
            Form::class,
            FormAssociation::class,
            'foa_formeavel_codigo',
            'form_codigo',
            $this->primaryKey,
            'foa_fk_form_codigo'
        )->where(
            'foa_formeavel_tipo',
            array_search(static::class, Relation::morphMap()) ?: static::class
        )->orderBy($this->orderFoa);
    }

}
